Interface Technology Basics VST 3.7 SDK for developing VST plug-in

Public Member Functions | Static Public Attributes | List of all members
IString Class Referenceabstract

Interface to a string of variable size and encoding. More...

`#include <istringresult.h>`

Inheritance diagram for IString:

## Public Member Functions
virtual void | setText8 (const char8 *text)=0
| Assign ASCII string. More...
virtual void | setText16 (const char16 *text)=0
| Assign unicode string. More...
virtual const char8 * | getText8 ()=0
| Return ASCII string. More...
virtual const char16 * | getText16 ()=0
| Return unicode string. More...
virtual void | take (void *s, bool isWide)=0
| !Do not use this method! Early implementations take the given pointer as internal string and this will cause problems because 'free' will be used to delete the passed memory. More...
virtual bool | isWideString () const =0
| Returns true if the string is in unicode format, returns false if the string is ASCII. More...
Public Member Functions inherited from FUnknown
virtual tresult | queryInterface (const TUID _iid, void **obj)=0
| Query for a pointer to the specified interface. More...
virtual uint32 | addRef ()=0
| Adds a reference and returns the new reference count. More...
virtual uint32 | release ()=0
| Releases a reference and returns the new reference count. More...

## Static Public Attributes
static const FUID | iid
Static Public Attributes inherited from FUnknown
static const FUID | iid

## Detailed Description

Interface to a string of variable size and encoding.

- [host imp] or [plug imp]
- [released: ]

## Member Function Documentation

## ◆ setText8()

virtual void setText8 | ( | const char8 * | text | ) |
| pure virtual

Assign ASCII string.

## ◆ setText16()

virtual void setText16 | ( | const char16 * | text | ) |
| pure virtual

Assign unicode string.

## ◆ getText8()

virtual const char8 * getText8 | ( |  | ) |
| pure virtual

Return ASCII string.

If the string is unicode so far, it will be converted. So you need to be careful, because the conversion can result in data loss. It is save though to call getText8 if isWideString() returns false

## ◆ getText16()

virtual const char16 * getText16 | ( |  | ) |
| pure virtual

Return unicode string.

If the string is ASCII so far, it will be converted.

## ◆ take()

virtual void take | ( | void * | s,
|  | bool | isWide
| ) |  |
| pure virtual

!Do not use this method! Early implementations take the given pointer as internal string and this will cause problems because 'free' will be used to delete the passed memory.

Later implementations will redirect 'take' to setText8 and setText16

## ◆ isWideString()

virtual bool isWideString | ( |  | ) | const
| pure virtual

Returns true if the string is in unicode format, returns false if the string is ASCII.

## Member Data Documentation

## ◆ iid

const FUID iid
| static

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.